aboutsummaryrefslogtreecommitdiffstats
path: root/extra/newt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-10 22:04:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-10 22:04:55 +0000
commit816e5e3b3fd32e0d20f3368de8d473e72e6beed5 (patch)
tree15eceb989281173444ca688f6e83a5b8ee24cbd5 /extra/newt/APKBUILD
parent99345d507e9ad5110cbca3581d7093b7744d3743 (diff)
downloadaports-816e5e3b3fd32e0d20f3368de8d473e72e6beed5.tar.gz
aports-816e5e3b3fd32e0d20f3368de8d473e72e6beed5.tar.bz2
aports-816e5e3b3fd32e0d20f3368de8d473e72e6beed5.tar.xz
extra/newt: new aport
Redhat's Newt windowing toolkit development files http://www.redhat.com/
Diffstat (limited to 'extra/newt/APKBUILD')
-rw-r--r--extra/newt/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/extra/newt/APKBUILD b/extra/newt/APKBUILD
new file mode 100644
index 0000000000..dc81b8b670
--- /dev/null
+++ b/extra/newt/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=newt
+pkgver=0.52.8
+pkgrel=0
+pkgdesc="Redhat's Newt windowing toolkit development files"
+url="http://www.redhat.com/"
+license="LGPL-2"
+depends="uclibc slang popt ncurses"
+makedepends="slang-dev popt-dev python-dev ncurses-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.gz
+ $pkgname-0.52.7-notcl.patch
+ "
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
+
+ sed -i -e 's:-lslang:-lslang -lncurses:g' \
+ -e 's:instroot:DESTDIR:g' Makefile.in || return 1
+
+ ./configure --prefix=/usr \
+ --without-gpm \
+ --without-tcl \
+ --disable-nls
+ make -j1 RPM_OPT_FLAGS="$CFLAGS" || return 1
+ # TODO: fix the make install target to not try install po files
+ make -j1 DESTDIR="$pkgdir" prefix="/usr" RPM_OPT_FLAGS="ERROR" install \
+ || true
+}
+md5sums="0daef93590e9b6fd3419c871e75f9fa7 newt-0.52.8.tar.gz
+6780156f3b66a3f05efe1ee821617031 newt-0.52.7-notcl.patch"